/* This file is part of the KDE project
   Copyright (C) 2002-2003 Nadeem Hasan <nhasan@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or ( at your option ) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef BROWSERDLG_H
#define BROWSERDLG_H

#include <qlabel.h>

#include <kdialogbase.h>

#include "calllog.h"

class QLable;
class QToolButton;

class BrowserDlg : public KDialogBase
{
  Q_OBJECT

  public:

    BrowserDlg( CallLog *, QWidget *parent=0, const char *name=0 );
    ~BrowserDlg();

  protected:

    void enableButtons();
    void showCall();

  protected slots:

    void slotGoFirst();
    void slotGoPrev();
    void slotGoNext();
    void slotGoLast();
    void slotDelCall();

  private:

    int m_index;
    CallLog *m_callLog;
    QLabel *m_lblName, *m_lblNmbr, *m_lblTime;
    QLabel *m_lblCount, *m_lblNew;
    QToolButton *m_pbFirst, *m_pbPrev, *m_pbNext, *m_pbLast, *m_pbDel;
};

#endif // BROWSERDLG_H

/* vim: et sw=2 ts=2
*/

