/* This file is part of the KDE project
   Copyright (C) 2002-2003 Nadeem Hasan <nhasan@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or ( at your option ) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/


#ifndef DOCKWIDGET_H
#define DOCKWIDGET_H

#include <qpixmap.h>

#include <ksystemtray.h>

class CallerId;
class CallData;
class KallersConfig;

class KAction;
class KToggleAction;

class DockWidget : public KSystemTray
{
    Q_OBJECT

  public:

    DockWidget( QWidget *parent=0, const char *name=0 );
    ~DockWidget();

  protected:

    void initContextMenu();
    void updateToolTip();
    void updateActions();

  protected slots:

    void slotCallReceived( const CallData * );
    void slotClearLog();
    void slotToggleRing();
    void slotOfflineChanged( bool );
    void slotPrefs();
    void slotConfigChanged();
    void slotViewCalls();

  private:

    QPixmap m_dockPixmap, m_miniPixmap;
    CallerId *m_callerId;
    KallersConfig *m_config;
    KAction *m_actClearLog;
    KAction *m_actViewCalls;
    KToggleAction *m_actRingOnCall, *m_actOffline;
};

#endif // DOCKWIDGET_H

/* vim: et sw=2 ts=2
*/

