/* This file is part of the KDE project
   Copyright (C) 2002-2003 Nadeem Hasan <nhasan@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or ( at your option ) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef KALLERSCONFIG_H
#define KALLERSCONFIG_H

#include <qobject.h>
#include <qstring.h>

class KConfig;

class KallersConfig : public QObject
{
  Q_OBJECT

  public:

    static KallersConfig *instance();

    void load();
    void save();

    QString device() { return m_device; }
    QString command() { return m_command; }
    bool ringOnCall() { return m_ringOnCall; }
    bool autoStart() { return m_autoStart; }
    bool logAnonymous() { return m_logAnon; }
    uint entryLimit() { return m_entryLimit; }

    void setDevice( QString device );
    void setCommand( QString command ) { m_command = command; }
    void setRingOnCall( bool b ) { m_ringOnCall = b; }
    void setAutoStart( bool b ) { m_autoStart = b; }
    void setLogAnon( bool b ) { m_logAnon = b; }
    void setEntryLimit( uint n ) { m_entryLimit = n; }

  signals:

    void modemDeviceChanged();

  private:

    KallersConfig();
    ~KallersConfig();

    QString m_device;
    QString m_command;
    bool m_ringOnCall;
    bool m_autoStart;
    bool m_logAnon;
    uint m_entryLimit;
    KConfig *m_config;

    static KallersConfig *m_instance;
};

#endif // KALLERSCONFIG_H

/* vim: et sw=2 ts=2
*/

