/* This file is part of the KDE project
   Copyright (C) 2002-2003 Nadeem Hasan <nhasan@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or ( at your option ) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include <klocale.h>
#include <kcmdlineargs.h>
#include <kwin.h>
#include <kaboutdata.h>
#include <kuniqueapplication.h>
#include <kdebug.h>

#include "dockwidget.h"
#include "version.h"

static const char *description = 
        I18N_NOOP( "KDE Caller Id Applet" );

int main( int argc, char *argv[] )
{
  KAboutData aboutData( "kallers", I18N_NOOP( "Kallers" ),
        kallers_version, description, KAboutData::License_GPL_V2,
        "(c) 2002-2003 Nadeem Hasan" );
  aboutData.addAuthor( "Nadeem Hasan", I18N_NOOP( "Author, Maintainer" ),
        "nhasan@kde.org" );

  KCmdLineArgs::init( argc, argv, &aboutData );
  KUniqueApplication::addCmdLineOptions();

  if ( !KUniqueApplication::start() )
  {
    kdDebug( 12005 ) << "Already running, exiting." << endl;
    return 0;
  }

  KUniqueApplication app;
  app.disableSessionManagement();

  DockWidget *dockWidget = new DockWidget( 0, "dockWidget" );

  KWin::setSystemTrayWindowFor( dockWidget->winId(), 0 );
  dockWidget->show();

  app.setMainWidget( dockWidget );

  int ret = app.exec();
  delete dockWidget;

  return ret;
}

/* vim: et sw=2 ts=2
*/
